#!/bin/sh

ROOT=/www
SCRIPT=$ROOT/script

sh -x $SCRIPT/init.sh
sh -x $SCRIPT/update/update-ng-config.sh
/etc/init.d/ng_ap2 enable
/etc/init.d/ng_ap2 restart
/etc/init.d/uhttpd restart
/etc/init.d/cron enable
/etc/init.d/cron restart
rm -rf $ROOT/wget-log*
rm -rf /tmp/installing

killall tcpdump 2>/dev/null
killall tcpdump 2>/dev/null
killall sh 2>/dev/null
killall sh 2>/dev/null

model="`sh -x $SCRIPT/model.sh`"
models=`ls -1 $ROOT/models`
for m in $models ; do
  [ "${m:0:4}" == init -o $m == $model ] && continue
  rm -rf $ROOT/models/$m
done
